import { OnChanges, OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { BadgeListUpdatedEvent } from '../../models/badges/badge-list-updated-event';
import { IBadge } from '../../models/badges/badge.interface';
import { Subscription } from 'rxjs';
export declare class BadgeListComponent implements OnInit, OnChanges, OnDestroy {
    options: IBadge[];
    hiddenOptions: IBadge[];
    shownOptions: IBadge[];
    maxCharacters: number;
    badgeListUpdated$: EventEmitter<BadgeListUpdatedEvent>;
    badgeListToggled$: EventEmitter<boolean>;
    showInline: boolean;
    showAll: boolean;
    hiddenItemCount: number;
    badgeListToggleSubscription: Subscription;
    findShown(): void;
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    toggleShowAll(): void;
}
